### cancellation_signal

A cancellation signal with a single slot.

    class cancellation_signal

##### Member Functions

Name | Description
--- | ---
cancellation_signal [constructor] |
emit | Emits the signal and causes invocation of the slot's handler, if any.
slot | Returns the single slot associated with the signal.
~cancellation_signal [destructor] |

##### Requirements

Header: `asio/cancellation_signal.hpp`

Convenience header: `asio.hpp`